package com.yihu.jw.restmodel.iot.company;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 企业应用表
 * @author suhaiwen on 2020/4/24.
 */
@JsonInclude(JsonInclude.Include.ALWAYS)
@ApiModel(value = "企业应用类", description = "企业应用表")
public class IotCompanyAppVO implements Serializable {

    @ApiModelProperty("应用ID")
    private String id;
    @ApiModelProperty("应用名称")
    private String name;
    @ApiModelProperty("访问IP地址")
    private String addressIp;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("公司ID")
    private String companyId;

    @ApiModelProperty("联系人电话")
    private String contactsMobile;

    @ApiModelProperty("联系人姓名")
    private String contactsName;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddressIp() {
        return addressIp;
    }

    public void setAddressIp(String addressIp) {
        this.addressIp = addressIp;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCompanyName() {
        return companyName;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getContactsMobile() {
        return contactsMobile;
    }

    public void setContactsMobile(String contactsMobile) {
        this.contactsMobile = contactsMobile;
    }

    public String getContactsName() {
        return contactsName;
    }

    public void setContactsName(String contactsName) {
        this.contactsName = contactsName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }
}
